%{!?drupal6:         %global drupal6         %{_datadir}/drupal6}
%{!?drupal6_modules: %global drupal6_modules %{drupal6}/sites/all/modules}

%global module image_resize_filter

Name:      drupal6-%{module}
Version:   1.14
Release:   3%{?dist}
Summary:   Filter to automatically scale images to their height and width dimensions

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/%{module}
Source0:   http://ftp.drupal.org/files/projects/%{module}-6.x-%{version}.tar.gz
Source1:   %{name}-RPM-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  drupal6
# phpcompatinfo (computed from version 1.14)
Requires:  php-pcre

Provides:  drupal6(%{module}) = %{version}

%description
This filter makes it easy to resize images, especially when combined with a
WYSIWYG editor such as tinyMCE or CKeditor. Users never have to worry about
scaling image sizes again, just insert an image and set it's height and width
properties in HTML (this is done automatically by WYSIWYG editors) and the
image is resized on output to match the HTML.

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}

cp -p %{SOURCE1} .

# Remove executable bit
chmod a-x LICENSE.txt


%build
# Empty build section, nothing required


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal6_modules}/%{module}
cp -pr * %{buildroot}%{drupal6_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal6_modules}/%{module}
%exclude %{drupal6_modules}/%{module}/*.txt


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Feb 15 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.14-1
- Updated to 1.14 (BZ #1064727; release notes https://drupal.org/node/2194065)
- Security BZ #1064856, #1064857
- SA-CONTRIB-2014-017 (https://drupal.org/node/2194655)
- Spec cleanup

* Thu Jun 7 2012 Anderson Silva <ansilva@redhat.com> - 1.13-3
- Update description
- Update LICENSE.txt with FSF mailing address

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 1.13-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 1.13-1
- Initial rpm package
